<template>
  <div>
    <n-modal
      v-model:show="showModal"
      style="width: 80%"
      :show-icon="false"
      preset="dialog"
      :title="title"
    >
      <Index :deploy_id="deploy_id" />
    </n-modal>
  </div>
</template>

<script lang="ts" setup>
  import { ref } from 'vue';
  import Index from './index.vue';

  const showModal = ref(false);
  const title = ref('操作记录');

  interface Props {
    // eslint-disable-next-line vue/prop-name-casing
    deploy_id?: number;
  }
  const props = withDefaults(defineProps<Props>(), { deploy_id: 0 });

  function openDrawer() {
    showModal.value = true;
  }
  defineExpose({ openDrawer });
</script>

<style scoped></style>
